commit 434695d909693d372193c4375c1159772519892c
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 24 21:32:14 2023 +0200

    release 1.27.2

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 1096ea06a10a68071ae304727a81a73375bfcee4
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed Aug 23 22:30:14 2023 -0400

    fix gfile sort and symlink warnings w glib2.76 or later
    
    *Use code borrowed from Nemo

 libcaja-private/caja-directory-async.c | 2 +-
 libcaja-private/caja-file.c            | 5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 4168605da2fb85f2440e1c223f530d0b831ffdb9
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 23 11:47:12 2023 +0200

    release 1.27.1

 NEWS         | 24 ++++++++++++++++++++++--
 configure.ac |  2 +-
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 45c190c497ea1de8c81f272ef8820156830d67cb
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 23 11:39:54 2023 +0200

    tx: pull with transifex

 po/af.po          |   2 +-
 po/am.po          |   2 +-
 po/ar.po          |   2 +-
 po/as.po          |   2 +-
 po/ast.po         |   2 +-
 po/az.po          |   2 +-
 po/be.po          |   2 +-
 po/bg.po          |   2 +-
 po/bn.po          |   2 +-
 po/bn_IN.po       |   2 +-
 po/br.po          |   2 +-
 po/bs.po          |   2 +-
 po/ca.po          |   4 +-
 po/ca@valencia.po |   2 +-
 po/cmn.po         |   2 +-
 po/crh.po         |   2 +-
 po/cs.po          |  20 ++--
 po/cy.po          |   2 +-
 po/da.po          |   2 +-
 po/de.po          |   2 +-
 po/dz.po          |   2 +-
 po/el.po          |  45 +++++---
 po/en_AU.po       |   2 +-
 po/en_CA.po       |   2 +-
 po/en_GB.po       |  65 +++++++++--
 po/eo.po          |   2 +-
 po/es.po          |   2 +-
 po/es_AR.po       |   2 +-
 po/es_CL.po       |   2 +-
 po/es_CO.po       |   2 +-
 po/es_MX.po       |   2 +-
 po/et.po          |  57 +++++-----
 po/eu.po          |   2 +-
 po/fa.po          |   2 +-
 po/fi.po          |   2 +-
 po/fr.po          |   7 +-
 po/frp.po         |   2 +-
 po/fur.po         |   2 +-
 po/fy.po          |   2 +-
 po/ga.po          |   2 +-
 po/gd.po          |   2 +-
 po/gl.po          |  30 ++---
 po/gu.po          |   2 +-
 po/ha.po          |   2 +-
 po/he.po          |   4 +-
 po/hi.po          |   2 +-
 po/hr.po          |   2 +-
 po/hu.po          |  39 +++----
 po/hy.po          |   2 +-
 po/ia.po          |   2 +-
 po/id.po          |  16 +--
 po/ie.po          |   2 +-
 po/ig.po          |   2 +-
 po/is.po          |   2 +-
 po/it.po          |   2 +-
 po/ja.po          |   8 +-
 po/ka.po          | 322 ++++++++++++++++++++++++++++--------------------------
 po/kab.po         |   2 +-
 po/kk.po          |   2 +-
 po/kn.po          |   2 +-
 po/ko.po          |   2 +-
 po/ku.po          |   2 +-
 po/ku_IQ.po       |   2 +-
 po/ky.po          |   2 +-
 po/li.po          |   2 +-
 po/lt.po          |   2 +-
 po/lv.po          |   2 +-
 po/mai.po         |   2 +-
 po/mg.po          |   2 +-
 po/mi.po          |   2 +-
 po/mk.po          |   2 +-
 po/ml.po          |   2 +-
 po/mn.po          |   2 +-
 po/mr.po          |   2 +-
 po/ms.po          |   2 +-
 po/nb.po          |  48 ++++++--
 po/nds.po         |  16 +--
 po/ne.po          |   2 +-
 po/nl.po          |  16 +--
 po/nn.po          |   2 +-
 po/nso.po         |   2 +-
 po/oc.po          |  20 ++--
 po/or.po          |   2 +-
 po/pa.po          |   2 +-
 po/pl.po          |   2 +-
 po/pms.po         |   2 +-
 po/ps.po          |   2 +-
 po/pt.po          |   2 +-
 po/pt_BR.po       |  23 ++--
 po/ro.po          |   2 +-
 po/ru.po          |  74 +++++++++++--
 po/rw.po          |   2 +-
 po/sc.po          |   2 +-
 po/si.po          |   2 +-
 po/sk.po          |   2 +-
 po/sl.po          |   4 +-
 po/sq.po          |   2 +-
 po/sr.po          |   2 +-
 po/sr@latin.po    |   2 +-
 po/sv.po          |   2 +-
 po/ta.po          |   2 +-
 po/te.po          |   2 +-
 po/th.po          |  78 ++++++++-----
 po/tk.po          |   2 +-
 po/tr.po          |  40 +++----
 po/ug.po          |   9 +-
 po/uk.po          |   2 +-
 po/ur.po          |   2 +-
 po/uz.po          |   2 +-
 po/vi.po          |   2 +-
 po/wa.po          |   2 +-
 po/xh.po          |   2 +-
 po/yi.po          |   2 +-
 po/yo.po          |   2 +-
 po/zh_CN.po       |   2 +-
 po/zh_HK.po       |   2 +-
 po/zh_TW.po       |   2 +-
 po/zu.po          |   2 +-
 118 files changed, 663 insertions(+), 474 deletions(-)

commit c1b2e7798670cc795979090023d1b9dcb2a0b330
Author: Luke from DC <lukefromdc@hushmail.com>
Date:   Sat Jul 8 17:10:25 2023 +0000

    wayland: initial support for showing the desktop
    
    * Wayland: Support rendering the desktop
    
    *Wayland support is optional via the --enable-wayland option
    
    * eel-editable-label-c: remove unused variable
    
    This was leftover from earlier code compatable only with x11
    
    * Fix gtk-layer-shell-0 version check, improve error message when Wayland requested but not found

 .build.yml                              |   4 +
 configure.ac                            |  32 +++++++-
 eel/eel-background.c                    |  22 ++++--
 eel/eel-editable-label.c                |   2 -
 eel/eel-gtk-extensions.c                |  36 +++++----
 src/Makefile.am                         |   5 ++
 src/caja-application.c                  |  43 ++++++-----
 src/caja-desktop-window.c               | 132 ++++++++++++++++++++++++++------
 src/file-manager/fm-desktop-icon-view.c |  88 ++++++++++++++++-----
 9 files changed, 271 insertions(+), 93 deletions(-)

commit df25aef7d386d3bf8da08ec5d8dd9e44c9b09e50
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri Jun 30 15:36:29 2023 -0400

    ensure all of the desktop is usable in x11
    
    *revert x11 icon position handling to the older and well tested code
    *use the newer code only in wayland where all the screen can already be used

 libcaja-private/caja-icon-container.c | 82 +++++++++++++++++++++--------------
 1 file changed, 50 insertions(+), 32 deletions(-)

commit 126a4a2a3ad3d93088644406936a2499f7be18be
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Thu Jun 29 08:05:44 2023 -0400

    Replace deprecated code from xrandr fix
    
    *In x11 we can anchor the desktop size to the root window
    instead of the screen or (possibly multiple)monitors

 src/caja-desktop-window.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit e0901e736a7a7d461dd1b291e591fb729de738b8
Author: yangxiaojuan <yangxiaojuan@loongson.cn>
Date:   Tue Jun 27 15:56:18 2023 +0800

    caja-desktop-window: Fix the xrandr error
    
    fix https://github.com/mate-desktop/caja/issues/1069

 src/caja-desktop-window.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 3bf4808debb94fa832897e382d6e67a4be6eb1aa
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Fri May 19 07:16:45 2023 -0400

    caja-icon-container.c: Set a transient parent on the interactive
        search popup
    
        This gets mis-handled in wayland as a standalone window and
        is treated as such (like getting tiled next to the main caja window).
        Ported over from Nemo

 libcaja-private/caja-icon-container.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 5688856331109e77d7362f5665fb178d1c269a39
Author: lukefromdc <lukefromdc@hushmail.com>
Date:   Wed May 17 23:00:54 2023 -0400

    Initial wayland support

 eel/eel-background.c                   | 17 +++++++++---
 eel/eel-editable-label.c               |  2 +-
 eel/eel-gtk-extensions.c               | 44 ++++++++++++-------------------
 libcaja-private/caja-autorun.c         | 20 +++++++++-----
 libcaja-private/caja-file-operations.c |  6 ++++-
 libcaja-private/caja-icon-container.c  | 41 +++++++++++++++++------------
 libcaja-private/caja-icon-dnd.c        | 15 ++++++-----
 src/caja-application.c                 | 48 +++++++++++++++++++---------------
 src/caja-main.c                        |  2 --
 src/caja-window.c                      |  6 ++---
 10 files changed, 111 insertions(+), 90 deletions(-)

commit 99a1e2a20567cbe988006d0fdfef6abab6324dc2
Author: Stefan Pöschel <github@basicmaster.de>
Date:   Sat Apr 15 12:46:47 2023 +0200

    caja-file: fix future informal date bug
    
    If informal date format is used, for future dates the today time format
    has been used by mistake, instead of the general time format.

 libcaja-private/caja-file.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c3662aedfb4e7bc28710a461fd643542c0ee8cd3
Author: Stefan Pöschel <github@basicmaster.de>
Date:   Sat Apr 15 12:42:37 2023 +0200

    caja-file: fix yesterday/today informal date bug
    
    If informal date format is used, the yesterday/today ranges of 48/24
    hours apply to the end of the current day, not to the current instant.
    
    Fixes a regression introduced by 476f56a25be636970b336d525a7766b6d1eb3fff.
    Fixes #1621.

 libcaja-private/caja-file.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 676e28188ce3bef375acf9b051b230485928a99c
Author: Wes <5124946+wesinator@users.noreply.github.com>
Date:   Sun Nov 27 17:39:27 2022 -0500

    directory: Include hidden files in properties window
    
    based on https://gitlab.gnome.org/GNOME/nautilus/-/merge_requests/821/diffs

 libcaja-private/caja-directory-async.c | 5 -----
 1 file changed, 5 deletions(-)

commit 26adade4d1fd1ff510d9f0dfa5abc576a68e6519
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 23 19:49:06 2022 +0100

    Fix handling of invalid x-special/mate-icon-list drops
    
    `p` actually could never be `0` (because of the NULL check on the
    `memchr()` call), but the intended behavior is `*p == '\0'`: the
    containing condition checks for either a truncated data (`*p == '\0'`)
    or no geometry information (`*p == '\n'`).
    
    I replaced the check to be `*p != '\n'` instead of `*p == '\0'` to
    make this more robust as the actual issue is anything but a newline,
    the fact it can only be a NUL otherwise is incidental to the enclosing
    check, but not really relevant at this level.  This is also in line
    with the actual error message.
    
    Found by cppcheck: https://caja.mate-desktop.dev/2022-11-23-174623-5790-cppcheck@ae663c369cf2_desktop-no-overflow/16.html#line-204

 libcaja-private/caja-dnd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 333e2728dbebb12110fc9b2c821089eb372ee14e
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Nov 22 11:41:35 2022 +0100

    icon view: Fix positioning overflowing icons on the desktop
    
    Properly update the icon data before placing the icon, because
    positioning might depend on full icon contents on the desktop, whereas
    updating contents don't care about position.
    
    When an icon position overflows the desktop area, it is clamped to stay
    in the visible area, but this computation depends on accurate icon and
    label sizes, which is only available when the icon is fully loaded.
    
    Fix the code to first load the contents and then position instead of
    the other way around, which was actually trivial.
    
    Note that visible positions were most often correct anyway for two
    reasons:
    
    1. Most of the time icons do not overflow, as they are positioned on
       the final desktop size anyway.  It however can easily happen
       reducing monitor resolution or increasing desktop view zoom.
    2. A second layout pass happens most of the time (I'm not yet sure why
       and when though), but not when an update is triggered before the
       previous one terminated (e.g. quickly hitting F5 twice).

 libcaja-private/caja-icon-container.c | 21 +++++++--------------
 1 file changed, 7 insertions(+), 14 deletions(-)

commit a97964380e5a6b553a10466e10d063608921a3f3
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 16 14:53:18 2022 +0100

    Make CajaIconData type less confusing
    
    This is actually an opaque type, and there is no definition of struct
    CajaIconData anywhere.  This actually doesn't change anything as the
    non-existent struct is equivalent to any other incomplete type, and
    works fine so long as the pointers are not dereferenced using that
    incomplete type.
    
    However, change this to an explicit `void` to make it clear it's an
    opaque pointer and stop people from looking for a struct CajaIconData
    that is nowhere to be found.

 libcaja-private/caja-icon-container.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7e7a47ac17ff0ae1ee18f2a709c6dd4cb42a8ca7
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 23 20:52:58 2022 +0100

    Remove dead assignment
    
    Found by cppcheck: https://caja.mate-desktop.dev/2022-11-23-174623-5790-cppcheck@ae663c369cf2_desktop-no-overflow/18.html#line-630

 libcaja-private/caja-icon-dnd.c | 2 --
 1 file changed, 2 deletions(-)

commit 288237a1c1681f71b2c5273e73bc56c5133edfa0
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 23 20:51:37 2022 +0100

    Remove unused members and structures
    
    Based on a cppcheck report: https://caja.mate-desktop.dev/2022-11-23-174623-5790-cppcheck@ae663c369cf2_desktop-no-overflow/

 libcaja-private/caja-mime-application-chooser.c |  1 -
 libcaja-private/caja-search-directory-file.c    |  5 ----
 libcaja-private/caja-search-directory-file.h    |  3 --
 libcaja-private/caja-search-directory.c         |  1 -
 libcaja-private/caja-search-engine-simple.c     |  1 -
 libcaja-private/caja-search-engine.c            | 27 ------------------
 libcaja-private/caja-search-engine.h            |  3 --
 src/file-manager/fm-icon-view.c                 | 38 ++++++-------------------
 src/file-manager/fm-tree-model.c                |  6 ----
 src/file-manager/fm-tree-view.c                 |  7 -----
 10 files changed, 9 insertions(+), 83 deletions(-)

commit 3fcbd04496251b6c11740793412375c82cdd3d3c
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 23 20:34:35 2022 +0100

    Remove unused member
    
    `name_row` is not needed since GTK2 support was dropped with commit
    276eb145ce96d5f75f8d3901daf6310f60ddbb81.
    
    Found by cppcheck: https://caja.mate-desktop.dev/2022-11-23-174623-5790-cppcheck@ae663c369cf2_desktop-no-overflow/73.html#line-101

 src/file-manager/fm-properties-window.c | 1 -
 1 file changed, 1 deletion(-)

commit f46fe893f94745b256b98cfe447c4fa50603780e
Author: Joshua Strobl <me@joshuastrobl.com>
Date:   Sun Dec 11 15:46:20 2022 +0200

    Enable showing in Budgie Desktop and XFCE
    
    This PR enables the displaying of Caja (as a file manager) for use in Budgie Desktop and XFCE. Prior to this commit, it would only be able accessible in MATE or with downstreams like Fedora patching in the support. The addition of these is important as file managers such as Nautilus adopt libadwaita and begin to directly come into conflict with user theming choices.

 data/caja-browser.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af235d070905b146878bfbf11a88b37f94a07da7
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Nov 23 18:32:05 2022 +0100

    icon view: Refresh icon positions for manual layout on zoom change (#1676)
    
    When zoom changes on a manual layout icon view, the available area
    changes and can lead to some icons to either overflow or be able to go
    back to their actually saved position.
    
    This is done correctly when the view is reloaded entirely, but not
    in response to zoom change, leading to disappearing icons (when zoom
    increases) or unexpected empty space (when zoom decreases).
    
    Fix this by re-computing actual positions based on saved positions when
    zoom changes, to match what would actually happen when the view gets
    loaded.

 libcaja-private/caja-icon-container.c | 44 +++++++++++++++++++++++++++--------
 1 file changed, 34 insertions(+), 10 deletions(-)

commit 14dd4822ddbcafecd3bfb283920b6a60507134bd
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:33:37 2022 +0100

    release 1.27.0

 NEWS         | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 47 insertions(+), 1 deletion(-)

commit fdedbdffdb7b910f8c5135e890469c5c74b8f08d
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Nov 5 16:10:51 2022 +0100

    tx: sync with transifex

 po/af.po          | 7846 +++++++++++++++++++++++----------------------
 po/am.po          | 8092 +++++++++++++++++++++++-----------------------
 po/ar.po          | 8780 +++++++++++++++++++++++++-------------------------
 po/as.po          | 8124 +++++++++++++++++++++++-----------------------
 po/ast.po         | 8184 +++++++++++++++++++++++-----------------------
 po/az.po          | 7552 +++++++++++++++++++++----------------------
 po/be.po          | 8358 +++++++++++++++++++++++------------------------
 po/bg.po          | 8412 ++++++++++++++++++++++++------------------------
 po/bn.po          | 8202 ++++++++++++++++++++++++-----------------------
 po/bn_IN.po       | 8210 ++++++++++++++++++++++++-----------------------
 po/br.po          | 8752 +++++++++++++++++++++++++-------------------------
 po/bs.po          | 7729 ++++++++++++++++++++++----------------------
 po/ca.po          | 8604 ++++++++++++++++++++++++-------------------------
 po/ca@valencia.po | 8544 ++++++++++++++++++++++++------------------------
 po/cmn.po         | 7993 ++++++++++++++++++++++-----------------------
 po/crh.po         | 8124 +++++++++++++++++++++++-----------------------
 po/cs.po          | 8706 ++++++++++++++++++++++++-------------------------
 po/cy.po          | 7464 +++++++++++++++++++++---------------------
 po/da.po          | 8520 ++++++++++++++++++++++++------------------------
 po/de.po          | 8627 ++++++++++++++++++++++++-------------------------
 po/dz.po          | 7495 ++++++++++++++++++++++---------------------
 po/el.po          | 8633 ++++++++++++++++++++++++-------------------------
 po/en_AU.po       | 8326 +++++++++++++++++++++++------------------------
 po/en_CA.po       | 7648 +++++++++++++++++++++----------------------
 po/en_GB.po       | 8632 ++++++++++++++++++++++++-------------------------
 po/eo.po          | 7989 ++++++++++++++++++++++-----------------------
 po/es.po          | 8714 +++++++++++++++++++++++++------------------------
 po/es_AR.po       | 6952 ++++++++++++++++++++--------------------
 po/es_CL.po       | 6682 +++++++++++++++++++-------------------
 po/es_CO.po       | 8507 ++++++++++++++++++++++++------------------------
 po/es_MX.po       | 7084 ++++++++++++++++++++--------------------
 po/et.po          | 8441 ++++++++++++++++++++++++------------------------
 po/eu.po          | 8516 ++++++++++++++++++++++++------------------------
 po/fa.po          | 7864 +++++++++++++++++++++++----------------------
 po/fi.po          | 8218 ++++++++++++++++++++++++-----------------------
 po/fr.po          | 8769 +++++++++++++++++++++++++-------------------------
 po/frp.po         | 5994 +++++++++++++++++-----------------
 po/fur.po         | 7414 +++++++++++++++++++++---------------------
 po/fy.po          | 7122 ++++++++++++++++++++--------------------
 po/ga.po          | 6299 ++++++++++++++++++------------------
 po/gd.po          | 7324 +++++++++++++++++++++---------------------
 po/gl.po          | 8570 +++++++++++++++++++++++++------------------------
 po/gu.po          | 8177 +++++++++++++++++++++++-----------------------
 po/ha.po          | 7466 +++++++++++++++++++++---------------------
 po/he.po          | 8544 ++++++++++++++++++++++++------------------------
 po/hi.po          | 8146 +++++++++++++++++++++++-----------------------
 po/hr.po          | 8419 ++++++++++++++++++++++++------------------------
 po/hu.po          | 8472 ++++++++++++++++++++++++------------------------
 po/hy.po          | 8395 ++++++++++++++++++++++++------------------------
 po/ia.po          | 6768 +++++++++++++++++++-------------------
 po/id.po          | 8431 ++++++++++++++++++++++++------------------------
 po/ie.po          | 7958 ++++++++++++++++++++++-----------------------
 po/ig.po          | 7369 +++++++++++++++++++++---------------------
 po/is.po          | 8240 ++++++++++++++++++++++++-----------------------
 po/it.po          | 9268 +++++++++++++++++++++++++++--------------------------
 po/ja.po          | 8155 +++++++++++++++++++++++-----------------------
 po/ka.po          | 8012 ++++++++++++++++++++++-----------------------
 po/kab.po         | 7460 +++++++++++++++++++++---------------------
 po/kk.po          | 8120 +++++++++++++++++++++++-----------------------
 po/kn.po          | 8190 +++++++++++++++++++++++-----------------------
 po/ko.po          | 8107 +++++++++++++++++++++++-----------------------
 po/ku.po          | 7494 ++++++++++++++++++++++---------------------
 po/ku_IQ.po       | 7096 ++++++++++++++++++++--------------------
 po/ky.po          | 7367 +++++++++++++++++++++---------------------
 po/li.po          | 7212 ++++++++++++++++++++---------------------
 po/lt.po          | 8664 ++++++++++++++++++++++++-------------------------
 po/lv.po          | 8404 ++++++++++++++++++++++++------------------------
 po/mai.po         | 7612 +++++++++++++++++++++----------------------
 po/mg.po          | 7668 ++++++++++++++++++++++----------------------
 po/mi.po          | 6706 +++++++++++++++++++-------------------
 po/mk.po          | 8106 +++++++++++++++++++++++-----------------------
 po/ml.po          | 8288 +++++++++++++++++++++++------------------------
 po/mn.po          | 7568 +++++++++++++++++++++----------------------
 po/mr.po          | 8286 +++++++++++++++++++++++------------------------
 po/ms.po          | 8409 ++++++++++++++++++++++++------------------------
 po/nb.po          | 8492 ++++++++++++++++++++++++------------------------
 po/nds.po         | 7966 ++++++++++++++++++++++-----------------------
 po/ne.po          | 7674 ++++++++++++++++++++++----------------------
 po/nl.po          | 8590 +++++++++++++++++++++++++------------------------
 po/nn.po          | 8134 +++++++++++++++++++++++-----------------------
 po/nso.po         | 7584 +++++++++++++++++++++----------------------
 po/oc.po          | 8624 +++++++++++++++++++++++++------------------------
 po/or.po          | 8184 +++++++++++++++++++++++-----------------------
 po/pa.po          | 8166 +++++++++++++++++++++++-----------------------
 po/pl.po          | 8815 +++++++++++++++++++++++++-------------------------
 po/pms.po         | 6622 +++++++++++++++++++-------------------
 po/ps.po          | 7236 ++++++++++++++++++++---------------------
 po/pt.po          | 8639 +++++++++++++++++++++++++------------------------
 po/pt_BR.po       | 8638 +++++++++++++++++++++++++------------------------
 po/ro.po          | 8579 +++++++++++++++++++++++++------------------------
 po/ru.po          | 8796 +++++++++++++++++++++++++-------------------------
 po/rw.po          | 6638 +++++++++++++++++++-------------------
 po/sc.po          | 6918 +++++++++++++++++++--------------------
 po/si.po          | 6290 ++++++++++++++++++------------------
 po/sk.po          | 8653 ++++++++++++++++++++++++-------------------------
 po/sl.po          | 8739 +++++++++++++++++++++++++-------------------------
 po/sq.po          | 8194 +++++++++++++++++++++++-----------------------
 po/sr.po          | 8579 +++++++++++++++++++++++++------------------------
 po/sr@latin.po    | 8267 +++++++++++++++++++++++------------------------
 po/sv.po          | 8488 ++++++++++++++++++++++++------------------------
 po/ta.po          | 8140 +++++++++++++++++++++++-----------------------
 po/te.po          | 8136 +++++++++++++++++++++++-----------------------
 po/th.po          | 8157 +++++++++++++++++++++++-----------------------
 po/tk.po          | 7396 +++++++++++++++++++++---------------------
 po/tr.po          | 8754 +++++++++++++++++++++++++-------------------------
 po/ug.po          | 8152 +++++++++++++++++++++++-----------------------
 po/uk.po          | 8683 ++++++++++++++++++++++++-------------------------
 po/ur.po          | 8318 +++++++++++++++++++++++------------------------
 po/uz.po          | 7779 ++++++++++++++++++++++----------------------
 po/vi.po          | 8265 +++++++++++++++++++++++------------------------
 po/wa.po          | 7088 ++++++++++++++++++++--------------------
 po/xh.po          | 7568 +++++++++++++++++++++----------------------
 po/yi.po          | 6634 +++++++++++++++++++-------------------
 po/yo.po          | 7399 +++++++++++++++++++++---------------------
 po/zh_CN.po       | 8439 ++++++++++++++++++++++++------------------------
 po/zh_HK.po       | 7941 ++++++++++++++++++++++-----------------------
 po/zh_TW.po       | 8056 +++++++++++++++++++++++-----------------------
 po/zu.po          | 7492 ++++++++++++++++++++++---------------------
 118 files changed, 474720 insertions(+), 467775 deletions(-)

commit 1bfc2c7962e6c51b249b7d13db0e85c830b2ebd3
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 caja.pot | 6545 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 3297 insertions(+), 3248 deletions(-)

commit 46d68c2f2c90cd35630d18ef78d2c142756b38bd
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:54:40 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221028214812.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit fc18162c79947563eb19aaf6ba8ec1acea9e40bb
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Aug 1 23:21:21 2022 +0200

    image properties: Look for supported mime types at runtime
    
    See https://gitlab.gnome.org/GNOME/nautilus/-/commit/7aef6be

 src/caja-image-properties-page.c | 58 ++++++++++++++++++++++++++--------------
 1 file changed, 38 insertions(+), 20 deletions(-)

commit fddc54212f8dd66707cf036956b1cd41cdc0cfd3
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Jul 30 09:41:29 2022 +0200

    caja-extensions: print filename when caja failed to open keys file

 libcaja-private/caja-extensions.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8936a1bbf95bc0ecfb9c7223435b5e7755aa96c7
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jul 29 22:55:00 2022 +0200

    caja-bookmark: 'caja_bookmark_get_uri (CajaBookmark *)' may return NULL

 libcaja-private/caja-bookmark.c | 10 ++++++----
 src/caja-bookmarks-sidebar.c    |  5 +----
 2 files changed, 7 insertions(+), 8 deletions(-)

commit 6d5400b77dab6d8c665575438dc0fd5d07b5370b
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jul 25 22:13:21 2022 +0200

    configure.ac: Bump Autoconf version because of LT_INIT

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9916a9c9a39529f293545f6d468617b3d5d607c0
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jul 31 11:36:27 2022 +0200

    image properties: Improve the layout

 src/caja-image-properties-page.c | 101 +++++++++++++++++++++++----------------
 1 file changed, 59 insertions(+), 42 deletions(-)

commit 141440bf89af9df9b64f77ac3a1c0fc63b768989
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 10 09:23:14 2022 +0100

    Fix build warning -Wmissing-field-initializers

 eel/eel-accessibility.c                           | 15 ++++++++++-----
 eel/eel-canvas-rect-ellipse.c                     |  6 ++++--
 eel/eel-canvas.c                                  | 10 ++++++----
 eel/eel-labeled-image.c                           | 12 ++++++++----
 libcaja-extension/caja-column-provider.c          |  1 +
 libcaja-extension/caja-configurable.c             |  1 +
 libcaja-extension/caja-file-info.c                |  1 +
 libcaja-extension/caja-info-provider.c            |  1 +
 libcaja-extension/caja-location-widget-provider.c |  1 +
 libcaja-extension/caja-menu-item.c                |  3 ++-
 libcaja-extension/caja-menu-provider.c            |  1 +
 libcaja-extension/caja-property-page-provider.c   |  1 +
 libcaja-extension/caja-property-page.c            |  3 ++-
 libcaja-extension/caja-widget-view-provider.c     |  1 +
 libcaja-private/caja-query.c                      |  2 +-
 libcaja-private/caja-sidebar-provider.c           |  1 +
 libcaja-private/caja-sidebar.c                    |  1 +
 libcaja-private/caja-view.c                       |  1 +
 libcaja-private/caja-window-info.c                |  1 +
 libcaja-private/caja-window-slot-info.c           |  1 +
 src/caja-application.c                            |  3 +--
 21 files changed, 47 insertions(+), 20 deletions(-)

commit 160d754f2228e74daea5735c9fb6655e082de906
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Feb 9 12:26:35 2022 +0100

    Fix build warning -Wbad-function-cast

 eel/eel-canvas-rect-ellipse.c           |  7 ++++++-
 eel/eel-canvas.c                        | 31 ++++++++++++++++++-------------
 libcaja-private/caja-icon-container.c   |  5 +++--
 libcaja-private/caja-icon-info.c        |  5 ++++-
 src/file-manager/fm-properties-window.c |  9 ++++++---
 test/test-eel-pixbuf-scale.c            |  8 ++++++--
 6 files changed, 43 insertions(+), 22 deletions(-)

commit b90c1c21ded05281f5ed9dfbbaac764f918300f8
Author: Gordon Norman Squash <gordsqsh@protonmail.com>
Date:   Mon Jun 6 15:09:44 2022 -0400

    Document and fix default-sort-order preference
    
     This patch resolves three related issues:
    
    The first issue was that the GSettings schema for Caja did not include an
    entry to sort by the "btime", or creation date, of files.  If the user chose
    such an option in the Caja Preferences, GSettings would produce a warning
    (often out-of-sight, as it was usually redirected into the user's
    .xsession-errors file), and Caja would not actually change the default
    sort-order of files.  This patch adds the btime as a valid setting in the
    schema.
    
    The second issue was that. because of the above (an entry in the settings
    schema was missing), some of the alternative sort orders listed in the schema
    (everything after and including "atime") were not assigned the same numbers
    as the sort orders listed elsewhere in the Caja source code.  Specifically,
    in icon- and compact-views, if the default sort-order was "emblems", the
    observed / actual sort-order would be the entry before "emblems", namely
    "atime" -- so instead of sorting by the names of associated emblems, Caja
    would sort by each file's access time.  An array in the code for the
    list-view also was missing many values and included some values out of order,
    so the default sort-order setting affected directories viewed in list-view
    mode seemingly randomly.  The former is taken care of using the fix described
    in the above paragraph; the latter is fixed in this patch by adding /
    reorganizing the array for the list-view sort-orders appropriately.
    
    The third issue (admittedly, a lesser issue) was that the documentation for
    the default-sort-order setting was lacking -- it at least did not list all
    the possible values that the setting could accept.  In this patch, I resolve
    this issue by listing all values in the setting's description, and also go
    into more detail about what each value does.  (However, perhaps I included
    a little too much detail.  It'll only benefit [supposed power users who may
    already know this stuff] who use GSettings or DConf directly, and it'll
    certainly be a headache for translators.  I'll admit that.)

 libcaja-private/org.mate.caja.gschema.xml | 39 ++++++++++++++++++++++++++-----
 src/file-manager/fm-list-view.c           |  4 +++-
 2 files changed, 36 insertions(+), 7 deletions(-)

commit 764395ea7d56c79920fa5c75956096a713675848
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Jun 7 19:19:44 2022 +0200

    caja-file-conflict-dialog: Move to automatic signal disconnection
    
    Instead of manually keeping tabs on the signals so we can disconnect
    them before the data parameter gets destroyed, let GObject
    automatically track lifetime of the data, which it can do as that data
    is a GObject itself.
    
    This does not change behavior in the normal case, but makes sure the
    callback simply cannot get called with invalid/freed parameters, even
    if we did screw anything up (which we used to).
    
    This actually would have solved #1630 as well with using the target
    widgets as data parameters as the signal would have been disconnected
    as soon as the widget got destroyed, no matter whether we got finalized
    ourselves or not.
    
    The signal IDs were also use as guards to whether the monitor was set
    up for the related files, but we can just as well use the state of the
    file list ready handle which should only be NULL when we actually have
    monitors set up.  Even if it wasn't the case, worse case scenario would
    be removing a non-existent monitor, which is perfectly OK anyway.

 libcaja-private/caja-file-conflict-dialog.c | 31 ++++++++++-------------------
 1 file changed, 11 insertions(+), 20 deletions(-)

commit 7e110ff93a2d6c89f87a4bbb79adf4d9a33c19d0
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Tue Jun 7 18:49:00 2022 +0200

    caja-file-conflict-dialog: Properly release references on dispose()
    
    Fixes #1630.

 libcaja-private/caja-file-conflict-dialog.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit c389503d0b9ce61aefb178c16baea12f8b62d49b
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jun 1 12:08:15 2022 +0200

    caja-file-conflict-dialog: update the icons once

 libcaja-private/caja-file-conflict-dialog.c | 25 +++++++++----------------
 1 file changed, 9 insertions(+), 16 deletions(-)

commit 456aee6637cb432ab8becc3d453e06299f1f8052
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Jun 1 16:51:35 2022 +0200

    build: Cleanup long deprecated macros usage

 configure.ac | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 20194239f59b53863a57d864fba7b3c6a3524049
Author: Colomban Wendling <cwendling@hypra.fr>
Date:   Wed Jun 1 12:37:10 2022 +0200

    Properly initialize IconKey::scale
    
    This value is used to look up icons in the cache, but somehow was not
    properly initialized.

 libcaja-private/caja-icon-info.c | 1 +
 1 file changed, 1 insertion(+)

commit 64e75dd157fd5925c329ca61eb28bf37810705d3
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 10 10:13:20 2022 +0100

    caja-bookmark: Fix build warning -Wlogical-not-parentheses

 libcaja-private/caja-bookmark.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0a6562e8cb580286c6faf35513bcafe56ef55df6
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Mar 15 11:09:17 2022 +0100

    caja-application: Variable is assigned a value that is never used

 src/caja-application.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit edee9dbcda52975afe110d6f3f2766b6b4724785
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 10 12:12:36 2022 +0100

    caja-bookmark: fix memory leak

 libcaja-private/caja-bookmark.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 79c84c1f216805d2fd87ccebf1e791cc61167d8a
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 10 11:46:49 2022 +0100

    caja-bookmark: drop create_image_cairo_for_bookmark

 libcaja-private/caja-bookmark.c | 34 ++++++++++------------------------
 1 file changed, 10 insertions(+), 24 deletions(-)

commit 7d64342c6914b8f502512fd111ec3acb2083741e
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Dec 20 22:08:18 2021 +0100

    Fix implicit conversion changes signedness: 'gboolean' to 'guint'

 eel/eel-canvas-rect-ellipse.c            |  4 +--
 eel/eel-editable-label.c                 |  6 ++---
 libcaja-private/caja-desktop-icon-file.c |  4 +--
 libcaja-private/caja-directory-async.c   | 14 +++++-----
 libcaja-private/caja-file.c              | 46 ++++++++++++++++----------------
 libcaja-private/caja-icon-canvas-item.c  | 26 +++++++++---------
 libcaja-private/caja-icon-container.c    |  6 ++---
 src/caja-pathbar.c                       |  2 +-
 src/file-manager/fm-list-view.c          |  4 +--
 src/file-manager/fm-tree-model.c         |  2 +-
 10 files changed, 57 insertions(+), 57 deletions(-)

commit b6d46039be75bd2b868ee6c32b091a1e37720a20
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Dec 19 23:34:14 2021 +0100

    Fix some -Wsign-compare warnings

 eel/eel-gtk-extensions.c                | 10 +++++---
 libcaja-private/caja-debug-log.c        |  2 +-
 libcaja-private/caja-desktop-metadata.c |  2 +-
 libcaja-private/caja-file-operations.c  | 44 +++++++++++++++++----------------
 libcaja-private/caja-file.c             |  4 +--
 libcaja-private/caja-query.c            |  5 ----
 src/caja-application.c                  |  3 ++-
 src/caja-connect-server-dialog.c        | 23 +++++++++++------
 src/caja-file-management-properties.c   |  6 ++---
 src/caja-image-properties-page.c        |  2 +-
 src/caja-navigation-window.c            | 10 ++++----
 src/caja-places-sidebar.c               | 11 +++++----
 src/caja-query-editor.c                 |  8 +++---
 src/caja-window.c                       |  2 +-
 src/file-manager/fm-directory-view.c    |  4 +--
 src/file-manager/fm-properties-window.c |  2 +-
 16 files changed, 75 insertions(+), 63 deletions(-)

commit 97b61e663e47e6bd6ee6ff460895a7370b3c6159
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 19 12:09:02 2021 +0200

    caja-file-operations: overlapping comparisons always evaluate to true

 libcaja-private/caja-file-operations.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c66eccc6585f9a4fd7ef4e4443487e64ec1a95b8
Author: Matija Skala <mskala@gmx.com>
Date:   Tue Feb 8 01:00:42 2022 +0100

    remove '-' from a m4_define
    
    it was not handled correctly

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 685042aef23656f877515dbd9b241a154e1679d0
Author: raveit65 <mate@raveit.de>
Date:   Sun Jan 30 22:17:11 2022 +0100

    CI: Drop -Wunused-parameter for debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ed764f51e22708d0772c11cd751b034bff3dd9ea
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 16 13:11:31 2022 +0100

    eel-editable-label: remove unused method get_font_description

 eel/eel-editable-label.c | 9 ---------
 eel/eel-editable-label.h | 1 -
 2 files changed, 10 deletions(-)

commit fae6f1ca5184bd21262a68de6c3446d626934e59
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 16 13:09:46 2022 +0100

    eel-editable-label: drop eel_editable_label_clear_layout

 eel/eel-editable-label.c | 27 +++++++--------------------
 1 file changed, 7 insertions(+), 20 deletions(-)

commit 95dcc0147afba6c11c5eaa273e2602aecafeac8b
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Jan 4 19:18:37 2022 +0100

    caja-property-browser: 'gdk_color_parse' is deprecated

 .build.yml                                         |   181 +
 .github/FUNDING.yml                                |     9 +
 .github/issue_template.md                          |    19 +
 .gitmodules                                        |     5 +
 .travis.yml                                        |    76 +
 .tx/config                                         |     9 +
 AUTHORS                                            |    68 +
 COPYING                                            |   345 +
 COPYING.EXTENSIONS                                 |    10 +
 COPYING.LIB                                        |   481 +
 ChangeLog                                          |     2 +
 HACKING                                            |     8 +
 Makefile.am                                        |    49 +
 Makefile.shared                                    |     1 +
 NEWS                                               |   732 ++
 README                                             |    68 +
 README.md                                          |     1 +
 autogen.sh                                         |    24 +
 caja.pot                                           |  7545 ++++++++++++
 configure.ac                                       |   330 +
 data/Makefile.am                                   |   118 +
 data/a11y-caja-desktop-base.css                    |    18 +
 data/browser.xml                                   |    73 +
 data/caja-autorun-software.desktop.in.in           |    11 +
 data/caja-bookmarks-window.ui                      |   299 +
 data/caja-browser.desktop.in.in                    |    15 +
 data/caja-computer.desktop.in.in                   |    15 +
 data/caja-desktop-ContrastHigh.css                 |     1 +
 data/caja-desktop-ContrastHighInverse.css          |     1 +
 data/caja-desktop-HighContrast.css                 |     1 +
 data/caja-desktop-HighContrastInverse.css          |     1 +
 data/caja-desktop.css                              |    38 +
 data/caja-extras.placeholder                       |     2 +
 data/caja-file-management-properties.desktop.in.in |    13 +
 data/caja-file-management-properties.ui            |  2568 +++++
 data/caja-folder-handler.desktop.in.in             |    13 +
 data/caja-home.desktop.in.in                       |    15 +
 data/caja-resources.gresource.xml                  |     7 +
 data/caja-suggested.placeholder                    |     2 +
 data/caja.appdata.xml.in.in                        |    41 +
 data/caja.css                                      |    43 +
 data/caja.desktop.in.in                            |    15 +
 data/caja.xml.in                                   |     8 +
 data/freedesktop-dbus-interfaces.xml               |    36 +
 data/icons/Makefile.am                             |    80 +
 data/icons/hicolor_emblems_16x16_emblem-note.png   |   Bin 0 -> 534 bytes
 data/icons/hicolor_emblems_24x24_emblem-note.png   |   Bin 0 -> 913 bytes
 data/icons/hicolor_emblems_48x48_emblem-note.png   |   Bin 0 -> 2454 bytes
 data/mate-network-scheme.desktop.in.in             |    15 +
 data/org.mate.freedesktop.FileManager1.service.in  |     3 +
 data/patterns/Makefile.am                          |    41 +
 data/patterns/blue_gray_rough.png                  |   Bin 0 -> 22418 bytes
 data/patterns/blue_ridge.png                       |   Bin 0 -> 263 bytes
 data/patterns/blue_type.png                        |   Bin 0 -> 11060 bytes
 data/patterns/brushed_metal.png                    |   Bin 0 -> 29181 bytes
 data/patterns/burlap.jpg                           |   Bin 0 -> 1611 bytes
 data/patterns/camouflage.png                       |   Bin 0 -> 29561 bytes
 data/patterns/chalk.jpg                            |   Bin 0 -> 821 bytes
 data/patterns/cork.png                             |   Bin 0 -> 20928 bytes
 data/patterns/countertop.png                       |   Bin 0 -> 4787 bytes
 data/patterns/dark-gnome.jpg                       |   Bin 0 -> 9877 bytes
 data/patterns/dots.png                             |   Bin 0 -> 922 bytes
 data/patterns/fibers.png                           |   Bin 0 -> 28188 bytes
 data/patterns/fleur_de_lis.png                     |   Bin 0 -> 28890 bytes
 data/patterns/floral.png                           |   Bin 0 -> 73080 bytes
 data/patterns/fossil.png                           |   Bin 0 -> 14478 bytes
 data/patterns/gnome.jpg                            |   Bin 0 -> 8316 bytes
 data/patterns/green_weave.png                      |   Bin 0 -> 8088 bytes
 data/patterns/ice.png                              |   Bin 0 -> 19562 bytes
 data/patterns/manila_paper.png                     |   Bin 0 -> 21751 bytes
 data/patterns/moss_ridge.png                       |   Bin 0 -> 274 bytes
